osgPresentation::AnimationMaterialCallback Class Reference

`#include <AnimationMaterial>`

Inheritance diagram for osgPresentation::AnimationMaterialCallback:

## Public Member Functions

| AnimationMaterialCallback ()
| AnimationMaterialCallback (const AnimationMaterialCallback &apc, const osg::CopyOp &copyop)
| META_Object (osg, AnimationMaterialCallback)
| AnimationMaterialCallback (AnimationMaterial *ap, double timeOffset=0.0f, double timeMultiplier=1.0f)
void | setAnimationMaterial (AnimationMaterial *path)
AnimationMaterial * | getAnimationMaterial ()
const AnimationMaterial * | getAnimationMaterial () const
void | setTimeOffset (double offset)
double | getTimeOffset () const
void | setTimeMultiplier (double multiplier)
double | getTimeMultiplier () const
void | reset ()
void | setPause (bool pause)
double | getAnimationTime () const
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
void | update (osg::Node &node)
Public Member Functions inherited from osg::NodeCallback
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &copyop)
| META_Object (osg, NodeCallback)
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual bool | run (osg::Object *object, osg::Object *data)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
virtual osgGA::EventHandler * | asEventHandler ()
virtual const osgGA::EventHandler * | asEventHandler () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< AnimationMaterial > | _animationMaterial
bool | _useInverseMatrix
double | _timeOffset
double | _timeMultiplier
double | _firstTime
double | _latestTime
bool | _pause
double | _pauseTime

## Protected Member Functions

| ~AnimationMaterialCallback ()
Protected Member Functions inherited from osg::NodeCallback
virtual | ~NodeCallback ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## AnimationMaterialCallback() [1/3]

osgPresentation::AnimationMaterialCallback::AnimationMaterialCallback | ( |  | ) |

inline

References _firstTime, _latestTime, _pause, _pauseTime, _timeMultiplier, _timeOffset, and _useInverseMatrix.

Referenced by AnimationMaterialCallback(), and META_Object().

## AnimationMaterialCallback() [2/3]

osgPresentation::AnimationMaterialCallback::AnimationMaterialCallback | ( | const AnimationMaterialCallback & | apc,
|  | const osg::CopyOp & | copyop )

inline

References _animationMaterial, _firstTime, _latestTime, _pause, _pauseTime, _timeMultiplier, _timeOffset, _useInverseMatrix, AnimationMaterialCallback(), osg::Callback::Callback(), osg::NodeCallback::NodeCallback(), and osg::Object::Object().

## AnimationMaterialCallback() [3/3]

osgPresentation::AnimationMaterialCallback::AnimationMaterialCallback | ( | AnimationMaterial * | ap,
|  | double | timeOffset = 0.0f,
|  | double | timeMultiplier = 1.0f )

inline

References _animationMaterial, _firstTime, _latestTime, _pause, _pauseTime, _timeMultiplier, _timeOffset, and _useInverseMatrix.

## ~AnimationMaterialCallback()

osgPresentation::AnimationMaterialCallback::~AnimationMaterialCallback | ( |  | ) |

inline protected

## Member Function Documentation

## getAnimationMaterial() [1/2]

AnimationMaterial * osgPresentation::AnimationMaterialCallback::getAnimationMaterial | ( |  | ) |

inline

References _animationMaterial.

## getAnimationMaterial() [2/2]

const AnimationMaterial * osgPresentation::AnimationMaterialCallback::getAnimationMaterial | ( |  | ) | const

inline

References _animationMaterial.

## getAnimationTime()

double osgPresentation::AnimationMaterialCallback::getAnimationTime | ( |  | ) | const

get the animation time that is used to specify the position along the AnimationMaterial. Animation time is computed from the formula ((_latestTime-_firstTime)-_timeOffset)*_timeMultiplier.

## getTimeMultiplier()

double osgPresentation::AnimationMaterialCallback::getTimeMultiplier | ( |  | ) | const

inline

References _timeMultiplier.

## getTimeOffset()

double osgPresentation::AnimationMaterialCallback::getTimeOffset | ( |  | ) | const

inline

References _timeOffset.

## META_Object()

osgPresentation::AnimationMaterialCallback::META_Object | ( | osg | ,
|  | AnimationMaterialCallback | )

References AnimationMaterialCallback().

## operator()()

virtual void osgPresentation::AnimationMaterialCallback::operator() | ( | osg::Node * | node,
|  | osg::NodeVisitor * | nv )

virtual

implements the callback

Reimplemented from osg::NodeCallback.

## reset()

void osgPresentation::AnimationMaterialCallback::reset | ( |  | ) |

## setAnimationMaterial()

void osgPresentation::AnimationMaterialCallback::setAnimationMaterial | ( | AnimationMaterial * | path | ) |

inline

References _animationMaterial.

## setPause()

void osgPresentation::AnimationMaterialCallback::setPause | ( | bool | pause | ) |

## setTimeMultiplier()

void osgPresentation::AnimationMaterialCallback::setTimeMultiplier | ( | double | multiplier | ) |

inline

References _timeMultiplier.

## setTimeOffset()

void osgPresentation::AnimationMaterialCallback::setTimeOffset | ( | double | offset | ) |

inline

References _timeOffset.

## update()

void osgPresentation::AnimationMaterialCallback::update | ( | osg::Node & | node | ) |

## Member Data Documentation

## _animationMaterial

osg::ref_ptr<AnimationMaterial> osgPresentation::AnimationMaterialCallback::_animationMaterial

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), getAnimationMaterial(), getAnimationMaterial(), and setAnimationMaterial().

## _firstTime

double osgPresentation::AnimationMaterialCallback::_firstTime

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), and AnimationMaterialCallback().

## _latestTime

double osgPresentation::AnimationMaterialCallback::_latestTime

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), and AnimationMaterialCallback().

## _pause

bool osgPresentation::AnimationMaterialCallback::_pause

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), and AnimationMaterialCallback().

## _pauseTime

double osgPresentation::AnimationMaterialCallback::_pauseTime

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), and AnimationMaterialCallback().

## _timeMultiplier

double osgPresentation::AnimationMaterialCallback::_timeMultiplier

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), AnimationMaterialCallback(), getTimeMultiplier(), and setTimeMultiplier().

## _timeOffset

double osgPresentation::AnimationMaterialCallback::_timeOffset

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), AnimationMaterialCallback(), getTimeOffset(), and setTimeOffset().

## _useInverseMatrix

bool osgPresentation::AnimationMaterialCallback::_useInverseMatrix

Referenced by AnimationMaterialCallback(), AnimationMaterialCallback(), and AnimationMaterialCallback().

The documentation for this class was generated from the following file:

- AnimationMaterial